// REQUIRES:
// - jquery-1.8.0.js or higher
// - jquery.SPServices-0.7.2.min.js or higher
// - jquery.easing.js  (v1.3 or higher)

function LoadFaqWidget(faq_SiteUrl, faq_ListName, faq_ListNameForHeader, faq_CAML)
{
	// USAGE: --------------
	// faq_SiteUrl = "https://cbhq.cbh.com/hr/learning"; // Site's URL, no end '/' character
	// faq_ListName = "FAQs"; // List name
	// faq_ListNameForHeader = "Training FAQs";  // what will appear in webpart
	// faq_CAML = CAML Query (optional)

	var faq_CamlQuery = "";
	if (faq_CAML.length < 2) 
		{ faq_CamlQuery = "<Query><OrderBy><FieldRef Name='Title'/></OrderBy></Query>"; } // default
	else
		{ faq_CamlQuery = faq_CAML; }
	var faq_ViewFields = "<ViewFields><FieldRef Name='Title' /><FieldRef Name='Answer' /></ViewFields>";
	
	// format header info
	var faq_HeaderTitle = '<div class="faqHeader">' + faq_ListNameForHeader + '</div>';  // title
	$("#faq_wrapper").append(faq_HeaderTitle);
	
   $().SPServices({
		operation: "GetListItems",
		webURL: faq_SiteUrl, 
		listName: faq_ListName,
		async: true,
		CAMLQueryOptions: "<QueryOptions><IncludeMandatoryColumns>FALSE</IncludeMandatoryColumns><DateInUtc>TRUE</DateInUtc></QueryOptions>",
		CAMLViewFields: faq_ViewFields,
		CAMLQuery: faq_CamlQuery,	 
	 
		completefunc: function (xData, Status) {
			$(xData.responseXML).SPFilterNode("z:row").each(function() {				
				var sztitle = '<img src="https://cbhq.cbh.com/_layouts/images/myelite2/faqs/q.png" style="padding-right:15px;" align="left" />' + ($(this).attr("ows_Title"));
				var szAnswer = '<img src="https://cbhq.cbh.com/_layouts/images/myelite2/faqs/a.png" /><br/>' + ($(this).attr("ows_Answer"));
				var TheQuestion = '<div class="faqButton">' + sztitle + '</div>';
				$("#faq_wrapper").append(TheQuestion); // insert into DOM				
				var TheAnswer = '<div class="faqContent">' + szAnswer + '</div>';
				$("#faq_wrapper").append(TheAnswer); // insert into DOM
			});
		}
	});
	setTimeout(function() { faq_AttachEvents(); }, 1000);  // call attach _after_ elements are in the DOM
}
function faq_AttachEvents() {
	// ADD ACCORDION BUTTON BEHAVIOR LISTENER
	$('div.faqButton').click(function() {
		//alert("fired click");
		if($(this).next().is(':visible')) {
			$('div.faqContent').slideUp('normal');
			$("div.faqButtonSelected").removeClass().addClass("faqButtonSelected");
			$(this).removeClass().addClass("faqButton");
		} else {
			$('div.faqContent').slideUp('normal');	
			$(this).next().slideDown('normal');
			$("div.faqButtonSelected").removeClass().addClass("faqButton");
			$(this).removeClass().addClass("faqButtonSelected");	
		}	
	});
}
